Skip to main content
POST
Create a collection

Authorizations

Authorization
string
header
required

Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}. You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.

Body

application/json
name
string
required
workspace
string
required

Uniquely identify a workspace.

Example:

"mEFayXdO"

extractor
string

Uniquely identify an extractor. Required if you are not a super user.

Example:

"resume"

baseExtractor
string

Not applicable, please leave empty. This feature is reserved for super user.

autoValidationThreshold
number
enableAutoValidationThreshold
boolean
default:false
fields
object[] | null
deprecated
fieldsLayout
object
dateFormatPreference
enum<string> | null
Available options:
DMY,
MDY,
YMD
dateFormatFromDocument
boolean | null

Predict the date format from any dates in the document that is not ambiguous.

extractorConfig
object | null

Extra configurations specific to an extractor.

allowOpenai
boolean
default:false

Whether to allow OpenAI API to be used to assist in creating a model for this collection.

trainsExtractor
boolean

Whether this collection feeds documents into the extractor's training queue. This setting can only be toggled for custom extractors.

disableConfirmationIfValidationRulesFail
boolean
default:false

If True, users cannot validate documents with missing mandatory fields, or failing validation rules.

Response

Successfully created a collection.

identifier
string
required

Uniquely identify a collection.

Example:

"mEFayXdO"

name
string
workspace
object
extractor
object | null
autoValidationThreshold
number
enableAutoValidationThreshold
boolean
default:false
autoValidateIfValidationRulesPass
boolean
default:false
fields
object[] | null
deprecated
fieldsLayout
object
fieldsConfigured
boolean
dateFormatPreference
enum<string> | null
Available options:
DMY,
MDY,
YMD
dateFormatFromDocument
boolean | null

Predict the date format from any dates in the document that is not ambiguous.

extractorConfig
object | null

Extra configurations specific to an extractor.

unvalidatedDocsCount
integer | null

Number of unvalidated documents in the collection.

Required range: x >= 0
confirmedDocsCount
integer | null

Number of validated documents in the collection.

Required range: x >= 0
ingestEmail
string

When you send email to this address, any document attached in the body will be uploaded to this collection.

tailoredExtractorRequested
boolean

Whether a tailored extractor has been requested for this collection.

allowOpenai
boolean
default:false

Whether to allow OpenAI API to be used to assist in creating a model for this collection.

trainsExtractor
boolean

Whether this collection feeds documents into the extractor's training queue. This setting can only be toggled for custom extractors.

disableConfirmationIfValidationRulesFail
boolean
default:false

If True, users cannot validate documents with missing mandatory fields, or failing validation rules.

autoRefreshValidationResults
boolean
default:true

If True, validation results are refreshed whenever annotations are changed.